import request from '@/utils/request'

export function _getAllBD() {
  return request({
    url: '/UserBusinessDivision/GetAllBD',
    method: 'get'
  })
}

export function _getBDUsers(bdId) {
  return request({
    url: '/UserBusinessDivision/GetBDUsers',
    method: 'get',
    params: { bdId }
  })
}

export function _join(data) {
  return request({
    url: '/UserBusinessDivision/Join',
    method: 'post',
    data
  })
}

export function _move(data) {
  return request({
    url: '/UserBusinessDivision/Move',
    method: 'post',
    data
  })
}

export function _addBD(data) {
  return request({
    url: '/UserBusinessDivision/addBD',
    method: 'post',
    data
  })
}

export function _changeBDName(data) {
  return request({
    url: '/UserBusinessDivision/changeBDName',
    method: 'post',
    data
  })
}
